#[non_exhaustive]
enum PortsAllocation {
    DummyTCPServer,
    ValidWithTokenAuth,
    InvalidWithTokenAuth,
    ValidWithMultipleTokenAuth,
    ValidWithTokenFile,
    InvalidTokenFile,
    ClientTryTLSWhileThereIsNoTLS,
    ValidTokenWithCustomIncrement,
    ValidWithTokenAuthMultiplePorts,
    ValidWithTokenAuthAndServerTLS,
    WithTokenAuthAndInvalidServerTLSBadCA,
    WithTokenAuthAndInvalidServerTLSExpiredAndBadCN,
}

fn get_port_number(alloc: PortsAllocation, index: u16) -> u16 {
    2100 + 20 * (alloc as u16) + index
}

const LOCALHOST_IP: &str = "127.0.0.1";

mod dummy_tcp_sockets;
mod pki;
mod test_files_utils;

mod client_try_tls_while_there_is_no_tls;
mod invalid_token_file;
mod invalid_with_token_auth;
mod valid_token_with_custom_increment;
mod valid_with_multiple_token_auth;
mod valid_with_token_auth;
mod valid_with_token_auth_and_server_tls;
mod valid_with_token_auth_multiple_ports;
mod valid_with_token_file;
mod with_token_auth_and_invalid_server_tls_bad_ca;
mod with_token_auth_and_invalid_server_tls_expired_and_bad_cn;
